Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.event
Class XDBRenderStream

`java.lang.Object
java.io.OutputStream
oracle.xdb.XDBOutputStream
oracle.xdb.event.XDBRenderStream`

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

      public class XDBRenderStream

extends XDBOutputStream

This class is used by the `XDBRepositoryEvent` class by `getOutputStream` and `setRenderStream` methods

Since:
  11.1.0.0.0

Method Summary
`void` `close()` Function to close the `XDBRenderStream`.
`void` `write(byte[] b)` Writes b.length bytes from specified byte array to this output stream.
`void` `write(byte[] b, int off, int len)` Writes len bytes from the specified byte array starting at offset off to this output stream.
`void` `write(int b)` Writes the specified byte to this output stream.

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public void write(byte[] b)

  Writes b.length bytes from specified byte array to this output stream.
  Overrides:
    `write` in class `XDBOutputStream`
  Parameters:
    `b` - The byte array to read into

### write

    public void write(byte[] b,
                      int off,
                      int len)

  Writes len bytes from the specified byte array starting at offset off to this output stream.
  Overrides:
    `write` in class `XDBOutputStream`
  Parameters:
    `b` - The byte array to read from
    `off` - Start offset of the data
    `len` - The number of bytes to write

### write

    public void write(int b)

  Writes the specified byte to this output stream.
  Overrides:
    `write` in class `XDBOutputStream`
  Parameters:
    `b` - byte to write

### close

    public void close()

  Function to close the `XDBRenderStream`. Cannot close the output stream from inside a handler.
  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `XDBOutputStream`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.